/*
 * work.scala
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package misc

object work extends Application {
    import scala.collection.mutable._

    val countMap = new HashMap[Map[Int,Int], String]

    val key = HashMap(1 -> 2)
    countMap += (key -> "one")
    //countMap += 2 -> "two"
    //countMap += 3 -> "three"

    //    val countMap2 = new HashMap[Int, String]
    //    countMap2 += 21 -> "one"
    //    countMap2 += 22 -> "two"
    //    countMap2 += 23 -> "three"
    //
    //    countMap ++= countMap2
    for (key <- countMap.keySet) {
        println(key + ":" + countMap(key))
    }

    val list = List[Int]()
}
